Skip to main content

Submissions

The Submission object represents an individual customer response to a survey.

Each submission contains structured data tied to a specific survey, including answers, timestamps and other metadata, and optionally guest or session identifiers. The API supports retrieving submissions directly, or by using the analytics endpoints to collect preaggregated data.

The Submission Object​

Schema Submission not found in OpenAPI spec.

Retrieve Submissions​

Retrieve survey submissions for a survey of a business

Parameters

businessstringPath RequiredField must be in path.

The ID of the business to retrieve the submissions for.

surveystringPath RequiredField must be in path.

The ID of the survey to retrieve the submissions for.

expandstring

Returns200

The survey submissions.

The Submission Object
Endpoint
GET /v2/businesses/{business}/surveys/{survey}/submissions

Retrieve a Submission​

Retrieve a survey submission for a business

Parameters

businessstringPath RequiredField must be in path.

The ID of the business to retrieve the surveys for.

surveystringPath RequiredField must be in path.

The ID of the survey to retrieve the submissions for.

submissionstringPath RequiredField must be in path.

The ID of the survey submission to retrieve.

expandstring

Returns200

The survey submission was found.

The Submission Object
Endpoint
GET /v2/businesses/{business}/surveys/{survey}/submissions/{submission}

Create a Submission​

Create a survey submission for a business

Parameters

businessstringPath RequiredField must be in path.

The ID of the business to retrieve the submissions for.

surveystringPath RequiredField must be in path.

The ID of the survey to create the submission for.

Schema undefined not found in OpenAPI spec.

Returns201

The survey submission was created.

The Submission Object
Endpoint
POST /v2/businesses/{business}/surveys/{survey}/submissions

Update a Submission​

Update a survey submission for a business

Parameters

businessstringPath RequiredField must be in path.

The ID of the business to retrieve the surveys for.

surveystringPath RequiredField must be in path.

The ID of the survey to retrieve the submissions for.

submissionstringPath RequiredField must be in path.

The ID of the survey submission to retrieve.

Schema undefined not found in OpenAPI spec.

Returns200

The survey submission was updated.

The Submission Object
Endpoint
PATCH /v2/businesses/{business}/surveys/{survey}/submissions/{submission}

Delete a Submission​

Delete a survey submission for a business

Parameters

businessstringPath RequiredField must be in path.

The ID of the business to retrieve the surveys for.

surveystringPath RequiredField must be in path.

The ID of the survey to retrieve the submissions for.

submissionstringPath RequiredField must be in path.

The ID of the survey submission to retrieve.

Returns204

The survey submission was deleted.

Endpoint
DELETE /v2/businesses/{business}/surveys/{survey}/submissions/{submission}